<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.esma.europa.eu/xbrl/role/cor/esef_role-999999" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd#esef_role-999999" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://tehnika.hr/roles/Anchoring" xlink:href="tehnika-kons-2021-12-31.xsd#Anchoring" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <roleRef roleURI="http://tehnika.hr/roles/IzvjesceOPromjenamaKapitala" xlink:href="tehnika-kons-2021-12-31.xsd#IzvjesceOPromjenamaKapitala" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" xlink:href="http://www.xbrl.org/lrr/arcrole/esma-arcrole-2018-11-21.xsd#wider-narrower" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <definitionLink xlink:role="http://www.esma.europa.eu/xbrl/role/cor/esef_role-999999" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="http://www.esma.europa.eu/taxonomy/2020-03-16/esef_cor.xsd#esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:label="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CountryOfIncorporation" xlink:label="ifrs-full_CountryOfIncorporation" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_MiscellaneousOtherOperatingIncome" xlink:label="ifrs-full_MiscellaneousOtherOperatingIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AddressOfRegisteredOfficeOfEntity" xlink:label="ifrs-full_AddressOfRegisteredOfficeOfEntity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" xlink:label="ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ShorttermBorrowings" xlink:label="ifrs-full_ShorttermBorrowings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForProvisions" xlink:label="ifrs-full_AdjustmentsForProvisions" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentFinancialAssetsAtFairValueThroughProfitOrLoss" xlink:label="ifrs-full_NoncurrentFinancialAssetsAtFairValueThroughProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RevenueAndOperatingIncome" xlink:label="ifrs-full_RevenueAndOperatingIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_LossForTheYear" xlink:label="tehnika-kons_LossForTheYear" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_BasicAndDilutedEarningsLossPerShare" xlink:label="ifrs-full_BasicAndDilutedEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAdvances" xlink:label="ifrs-full_CurrentAdvances" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" xlink:label="ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RawMaterialsAndConsumablesUsed" xlink:label="ifrs-full_RawMaterialsAndConsumablesUsed" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LongtermBorrowings" xlink:label="ifrs-full_LongtermBorrowings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PrincipalPlaceOfBusiness" xlink:label="ifrs-full_PrincipalPlaceOfBusiness" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromContinuingOperations" xlink:label="ifrs-full_ProfitLossFromContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IntangibleAssetsAndGoodwill" xlink:label="ifrs-full_IntangibleAssetsAndGoodwill" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherCurrentReceivables" xlink:label="ifrs-full_OtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="ifrs-full_CurrentTradeReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" xlink:label="ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" xlink:label="ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentFinancialAssets" xlink:label="ifrs-full_CurrentFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories" xlink:label="ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentProvisions" xlink:label="ifrs-full_NoncurrentProvisions" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DecreaseThroughWriteoffFinancialAssets" xlink:label="ifrs-full_DecreaseThroughWriteoffFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromDiscontinuedOperations" xlink:label="ifrs-full_ProfitLossFromDiscontinuedOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" xlink:label="ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentPrepaidExpenses" xlink:label="ifrs-full_CurrentPrepaidExpenses" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RevaluationSurplus" xlink:label="ifrs-full_RevaluationSurplus" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LossesOnDisposalsOfPropertyPlantAndEquipment" xlink:label="ifrs-full_LossesOnDisposalsOfPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_OtherCurrentLiabilities" xlink:label="ifrs-full_OtherCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" xlink:label="ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NameOfParentEntity" xlink:label="ifrs-full_NameOfParentEntity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NameOfUltimateParentOfGroup" xlink:label="ifrs-full_NameOfUltimateParentOfGroup" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentPrepayments" xlink:label="ifrs-full_CurrentPrepayments" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentReceivables" xlink:label="ifrs-full_NoncurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DomicileOfEntity" xlink:label="ifrs-full_DomicileOfEntity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" xlink:label="ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:label="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TradeAndOtherPayables" xlink:label="ifrs-full_TradeAndOtherPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" xlink:label="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_MiscellaneousOtherOperatingExpense" xlink:label="ifrs-full_MiscellaneousOtherOperatingExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_InvestmentProperty" xlink:label="ifrs-full_InvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_LegalFormOfEntity" xlink:label="ifrs-full_LegalFormOfEntity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_LegalFormOfEntity" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AddressOfRegisteredOfficeOfEntity" order="2" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PrincipalPlaceOfBusiness" order="3" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_Revenue" order="4" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_MiscellaneousOtherOperatingIncome" order="5" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RevenueAndOperatingIncome" order="6" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ChangesInInventoriesOfFinishedGoodsAndWorkInProgress" order="7" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RawMaterialsAndConsumablesUsed" order="8" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DepreciationAndAmortisationExpense" order="9" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_EmployeeBenefitsExpense" order="10" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_LossesOnDisposalsOfPropertyPlantAndEquipment" order="11" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLoss" order="12" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_MiscellaneousOtherOperatingExpense" order="13" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_OperatingExpense" order="14" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" order="15" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_FinanceIncome" order="16" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_FinanceCosts" order="17" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_FinanceIncomeCost" order="18" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProfitLossBeforeTax" order="19" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" order="20" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProfitLossFromContinuingOperations" order="21" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ProfitLossFromDiscontinuedOperations" order="22" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationNetOfTax" order="23" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ComprehensiveIncome" order="24" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_BasicAndDilutedEarningsLossPerShare" order="25" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PropertyPlantAndEquipment" order="26" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_InvestmentProperty" order="27" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IntangibleAssetsAndGoodwill" order="28" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentReceivables" order="29" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentFinancialAssetsAtFairValueThroughProfitOrLoss" order="30" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentAssets" order="31" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_Inventories" order="32" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentFinancialAssets" order="33" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentTradeReceivables" order="34" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentPrepayments" order="35" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_OtherCurrentReceivables" order="36" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentPrepaidExpenses" order="37" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashAndCashEquivalents" order="38" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentAssetsOrDisposalGroupsClassifiedAsHeldForSaleOrAsHeldForDistributionToOwners" order="39" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentAssets" order="40" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_Assets" order="41" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IssuedCapital" order="42" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RevaluationSurplus" order="43" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_OtherReserves" order="44" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RetainedEarnings" order="45" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="tehnika-kons_LossForTheYear" order="46" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentProvisions" order="47" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_LongtermBorrowings" order="48" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DeferredTaxLiabilities" order="49" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NoncurrentLiabilities" order="50" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_ShorttermBorrowings" order="51" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_TradeAndOtherPayables" order="52" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentAdvances" order="53" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_OtherCurrentLiabilities" order="54" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" order="55" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_LiabilitiesIncludedInDisposalGroupsClassifiedAsHeldForSale" order="56" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CurrentLiabilities" order="57" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_EquityAndLiabilities" order="58" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" order="59" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherOperatingReceivables" order="60" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForUnrealisedForeignExchangeLossesGains" order="61" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForImpairmentLossReversalOfImpairmentLossRecognisedInProfitOrLossInventories" order="62" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForProvisions" order="63" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForGainLossOnDisposalsPropertyPlantAndEquipment" order="64" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DecreaseThroughWriteoffFinancialAssets" order="65" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="66" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" order="67" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="68" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInLoansAndAdvancesToCustomers" order="69" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInOtherAssets" order="70" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="71" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInOtherLiabilities" order="72" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" order="73" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentIntangibleAssetsOtherThanGoodwillInvestmentPropertyAndOtherNoncurrentAssets" order="74" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" order="75" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashReceiptsFromRepaymentOfAdvancesAndLoansMadeToOtherPartiesClassifiedAsInvestingActivities" order="76" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" order="77" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" order="78" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" order="79" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" order="80" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NameOfReportingEntityOrOtherMeansOfIdentification" order="81" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NameOfParentEntity" order="82" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_NameOfUltimateParentOfGroup" order="83" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DescriptionOfNatureOfEntitysOperationsAndPrincipalActivities" order="84" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_DomicileOfEntity" order="85" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="esef_cor_LineItemsNotDimensionallyQualifiedPlaceholder" xlink:to="ifrs-full_CountryOfIncorporation" order="86" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
  </definitionLink>
  <definitionLink xlink:role="http://tehnika.hr/roles/Anchoring" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_LossForTheYear" xlink:label="tehnika-kons_LossForTheYear" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" xlink:label="tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" xlink:label="tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_TecajneRazlike" xlink:label="tehnika-kons_TecajneRazlike" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ChangesInEquity" xlink:label="ifrs-full_ChangesInEquity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_RetainedEarnings" xlink:to="tehnika-kons_LossForTheYear" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_ChangesInEquity" xlink:to="tehnika-kons_TecajneRazlike" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" order="1" xlink:arcrole="http://www.esma.europa.eu/xbrl/esef/arcrole/wider-narrower" priority="1" />
  </definitionLink>
  <definitionLink xlink:role="http://tehnika.hr/roles/IzvjesceOPromjenamaKapitala" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RevaluationSurplusMember" xlink:label="ifrs-full_RevaluationSurplusMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityAbstract" xlink:label="ifrs-full_StatementOfChangesInEquityAbstract" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatutoryReserveMember" xlink:label="ifrs-full_StatutoryReserveMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_TreasurySharesMember" xlink:label="ifrs-full_TreasurySharesMember" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_TecajneRazlike" xlink:label="tehnika-kons_TecajneRazlike" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" xlink:label="tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RetainedEarningsMember" xlink:label="ifrs-full_RetainedEarningsMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughAppropriationOfRetainedEarnings" xlink:label="ifrs-full_IncreaseDecreaseThroughAppropriationOfRetainedEarnings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IssuedCapitalMember" xlink:label="ifrs-full_IssuedCapitalMember" />
    <loc xlink:type="locator" xlink:href="tehnika-kons-2021-12-31.xsd#tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" xlink:label="tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" xlink:label="ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ComponentsOfEquityAxis" xlink:label="ifrs-full_ComponentsOfEquityAxis" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityTable" xlink:label="ifrs-full_StatementOfChangesInEquityTable" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarnings" xlink:label="ifrs-full_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarnings" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughTransferToStatutoryReserve" xlink:label="ifrs-full_IncreaseDecreaseThroughTransferToStatutoryReserve" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EquityMember" xlink:label="ifrs-full_EquityMember" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_StatementOfChangesInEquityLineItems" xlink:label="ifrs-full_StatementOfChangesInEquityLineItems" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CapitalRedemptionReserveMember" xlink:label="ifrs-full_CapitalRedemptionReserveMember" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="ifrs-full_StatementOfChangesInEquityTable" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/all" priority="1" xbrldt:contextElement="scenario" xbrldt:closed="true" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityTable" xlink:to="ifrs-full_ComponentsOfEquityAxis" order="0" xlink:arcrole="http://xbrl.org/int/dim/arcrole/hypercube-dimension" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_ComponentsOfEquityAxis" xlink:to="ifrs-full_EquityMember" order="0" xlink:arcrole="http://xbrl.org/int/dim/arcrole/dimension-domain" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_CapitalRedemptionReserveMember" order="0" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_IssuedCapitalMember" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_RetainedEarningsMember" order="2" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_RevaluationSurplusMember" order="3" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_StatutoryReserveMember" order="4" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_EquityMember" xlink:to="ifrs-full_TreasurySharesMember" order="5" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityAbstract" xlink:to="ifrs-full_StatementOfChangesInEquityLineItems" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_Equity" order="1" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_ProfitLoss" order="8" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_GainsLossesOnFinancialAssetsMeasuredAtFairValueThroughOtherComprehensiveIncomeNetOfTax" order="15" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="tehnika-kons_UkupniSveobuhvatniGubitakZa2020Godinu" order="22" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_IncreaseDecreaseThroughAppropriationOfRetainedEarnings" order="29" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="tehnika-kons_TecajneRazlike" order="36" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_IncreaseDecreaseThroughTransferToStatutoryReserve" order="43" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="tehnika-kons_UkupniSveobuhvatniGubitakZa2021Godinu" order="64" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
    <definitionArc xlink:type="arc" xlink:from="ifrs-full_StatementOfChangesInEquityLineItems" xlink:to="ifrs-full_IncreaseDecreaseThroughTransferBetweenRevaluationReserveAndRetainedEarnings" order="71" xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" priority="1" />
  </definitionLink>
</linkbase>